#include <stdio.h>
#include <allegro.h>
#include "dialog.h"

int menu_loop () {
 bool menu_running = true;
 int menu_return = 0;
 dialog menu;
 menu.set_dialog (220, 140, 200, 200, "FUSION");
 menu.add_button (1, 60, 35, 80, 25, "New Game");
 menu.add_button (2, 60, 75, 80, 25, "Story");
 if (disable_sound) 
  menu.add_button (3, 60, 115, 80, 25, "Enable sound");
 else
  menu.add_button (3, 60, 115, 80, 25, "Disable sound");
 menu.add_button (4, 60, 155, 80, 25, "Exit");
 for (int i = 0; i < 7; i++) {
  for (int j = 0; j < 5; j++) {
   blit (back, buffer, 0, 0, i * 100, j * 100, 100, 100);
  }
 }
 blit (buffer, screen, 0, 0, 0, 0, 640, 480);
 while (menu_running)  {
  switch (menu.process_keys ()) {
   case -1:
    menu_return = -1;
    menu_running = false;
    break;
   case 1:
    menu_return = 1;
    menu_running = false;
    break;
   case 2:
    menu_return = 2;
    menu_running = false;
    break;
   case 3:
    disable_sound = !disable_sound;
    if (disable_sound)
     menu.button_set_caption (3, "Enable sound");
    else
     menu.button_set_caption (3, "Disable sound");
    break;
   case 4:
    menu_return = -1;
    menu_running = false;
    break;
  }
  menu.draw (screen);
 }
 // while (key[KEY_ESC] || key[KEY_ENTER]) {}
 return menu_return;
}
