#ifndef __init_h__
#define __init_h__

#define PI 3.14159265
#define MAX_LENGTH 64
#define MAX_BUTTONS 4
#define MAX_LABELS 2

extern int counter, fpscounter;
extern BITMAP * buffer;
extern BITMAP * back;
extern BITMAP * title;
extern bool sound_installed, disable_sound;
extern RGB pal[256];
extern DATAFILE * data_file;
extern FONT * tahoma;

extern int init_allegro ();
extern void count_fps ();
extern void install_fpscounter ();
extern int init_all ();

#endif
