#include <stdio.h>
#include <allegro.h>
#include "init.h"
#include "story.h"

text_line * story_lines;
int story_lines_count;
float story_offset;

void newline_to_null (char * string) {
 while (*string != '\0') {
  if (*string == '\n')
   *string = ' ';
  string++;
 }
}

void story_init () {
 story_lines = (text_line *) malloc (30 * sizeof (text_line));
 story_lines_count = 0;
 FILE * story_file;
 story_file = fopen ("data/story.txt", "r");
 while (!feof (story_file)) {
  fgets (story_lines[story_lines_count].characters, 64, story_file);
  newline_to_null (story_lines[story_lines_count].characters);
  story_lines_count++;
 }
 story_offset = 0;
}

void story_draw () {
 for (int i = 0; i < 7; i++) {
  for (int j = 0; j < 5; j++) {
   blit (back, buffer, 0, 0, i * 100, j * 100, 100, 100);
  }
 }
 for (int i = 0; i < story_lines_count; i++) {
  textout_centre (buffer, tahoma, story_lines[i].characters, 320, 480 - int (story_offset) + 16 * i, makecol (255, 255, 255));
 }
 blit (buffer, screen, 0, 0, 0, 0, 640, 480);
}

void story_post () {
 free (story_lines);
}

void story_loop () {
 story_init ();

 counter = 1;
 int old_fps = fpscounter;
 counter = 1;
 while (old_fps == fpscounter) {
  story_draw ();
  counter++;
 }
 old_fps = fpscounter;
 while (old_fps == fpscounter && counter != 0) {
  story_draw ();
  counter++;
 }

 while (!(key[KEY_ENTER] || key[KEY_ESC])) {
  if (story_offset < 460)
   story_offset += (1.0 / (fpscounter + 1)) * 10;
  story_draw ();
  counter++;
 }
 while (key[KEY_ENTER] || key[KEY_ESC])
 story_post ();
}
