#include <stdio.h>
#include <allegro.h>
#include "init.h"
#include "game.h"
#include "story.h"
#include "menu.h"

void intro () {
 clear_to_color (buffer, makecol (12, 59, 164));
 blit (title, buffer, 0, 0, 260, 160, 160, 40);
 textout_centre (buffer, tahoma, "by Sander Schobers", 320, 240, makecol (255, 255, 255));
 textout_centre (buffer, tahoma, "for TINS 2003", 320, 272, makecol (255, 255, 255));
 blit (buffer, screen, 0, 0, 0, 0, 640, 480);
 while (!(key[KEY_ENTER] || key[KEY_SPACE]|| key[KEY_ESC])) {}
 while (key[KEY_ENTER] || key[KEY_SPACE]) {}
}


int main (int argc, char *argv[]) {
 init_all ();
 clear_keybuf ();
 intro ();
 int menu_choice = 0;
 while (menu_choice != -1) {
  menu_choice = menu_loop ();
  if (menu_choice == 1)
   game_loop ();
  if (menu_choice == 2)
   story_loop ();
 }
}
END_OF_MAIN()
